<h1 mat-dialog-title>
    Invia mail a {{socio.nickname || socio.nome}}
    <small class="warn" *ngIf="errors">Errore nell'invio, riprovare</small>
</h1>
<mat-dialog-content>
    <form [formGroup]="mailForm">
        <mat-form-field>
            <input matInput type="text" placeholder="Titolo" cdkfocusinitial formControlName="title">
        </mat-form-field>
        <mat-form-field>
            <textarea rows="5" matInput placeholder="Messaggio" formControlName="message"></textarea>
        </mat-form-field>
    </form>
</mat-dialog-content>
<mat-dialog-actions>
    <button mat-button color="accent" (click)="cancel()">Annulla</button>
    <button mat-button style="margin-left: auto;" color="primary" (click)="send()" [disabled]="mailForm.disabled">
        Invia
    </button>
    <mat-spinner [diameter]="15" *ngIf="mailForm.disabled"></mat-spinner>
</mat-dialog-actions>
